Loading...
Searching...
No Matches
caf::ratio_to_time_unit_helper< Num, Denom > Struct Template Reference

Converts the ratio Num/Denom to a time_unit if the ratio describes seconds, milliseconds, microseconds, or minutes. More...

## Detailed Description

template<intmax_t Num, intmax_t Denom>
struct caf::ratio_to_time_unit_helper< Num, Denom >

Converts the ratio Num/Denom to a time_unit if the ratio describes seconds, milliseconds, microseconds, or minutes.

Minutes are mapped to time_unit::seconds, any unrecognized ratio to time_unit::invalid.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/duration.hpp